## com.google.common.collect
Interface Table.Cell<R,C,V>

Enclosing interface:
  Table<R,C,V>

    public static interface Table.Cell<R,C,V>

Row key / column key / value triplet corresponding to a mapping in a table.

Since:
  7.0

Method Summary
`boolean` `equals(Object obj)` Compares the specified object with this cell for equality.
`C` `getColumnKey()` Returns the column key of this cell.
`R` `getRowKey()` Returns the row key of this cell.
`V` `getValue()` Returns the value of this cell.
`int` `hashCode()` Returns the hash code of this cell.

Method Detail

### getRowKey

    R getRowKey()

  Returns the row key of this cell.

### getColumnKey

    C getColumnKey()

  Returns the column key of this cell.

### getValue

    V getValue()

  Returns the value of this cell.

### equals

    boolean equals(@Nullable
                   Object obj)

  Compares the specified object with this cell for equality. Two cells are equal when they have equal row keys, column keys, and values.

  Overrides:
    `equals` in class `Object`

### hashCode

    int hashCode()

  Returns the hash code of this cell.

  The hash code of a table cell is equal to `Objects.hashCode(java.lang.Object...)` `(e.getRowKey(), e.getColumnKey(), e.getValue())`.

  Overrides:
    `hashCode` in class `Object`

Copyright © 2010-2012. All Rights Reserved.